function leftSwipeHandler(e) {
	if (e.direction == 'left') {
		var theItem = e.section.getItemAt(e.itemIndex);
		theItem.template = 't2';
		e.section.updateItemAt(e.itemIndex,theItem,{animated:true,animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});
	}
}

function rightSwipeHandler(e) {
	if (e.direction == 'right') {
		var theItem = e.section.getItemAt(e.itemIndex);
		theItem.template = 't1';
		e.section.updateItemAt(e.itemIndex,theItem,{animated:true,animationStyle:Titanium.UI.iPhone.RowAnimationStyle.RIGHT});
	}
}

function trashHandler(e) {
	e.section.deleteItemsAt(e.itemIndex,1,{animated:true,animationStyle:Titanium.UI.iPhone.RowAnimationStyle.FADE});
}

function doneHandler(e) {
	var theItem = e.section.getItemAt(e.itemIndex);
	theItem.template = 't3';
	e.section.updateItemAt(e.itemIndex,theItem,{animated:true,animationStyle:Titanium.UI.iPhone.RowAnimationStyle.FADE});
}

var baseTemplate = {
	properties:{height:50},
	childTemplates: [
  		{
    		type: 'Ti.UI.View',
	  		events:{
	  			swipe:leftSwipeHandler
	  		},
	  		childTemplates:[
	  			{
	  				type:'Ti.UI.Label',
	  				bindId:'content',
	  				properties:{left:10,touchEnabled:false,color:'black'}
	  			}
	  		]
  		}
  	]
};

var controlTemplate = {
	properties:{height:50},
	childTemplates: [
		{
    		type: 'Ti.UI.View',
    		properties:{left:-150,width:'100%'},
	  		events:{
	  			swipe:rightSwipeHandler
	  		},
	  		childTemplates:[
	  			{
	  				type:'Ti.UI.Label',
	  				bindId:'content',
	  				properties:{left:10,touchEnabled:false,color:'black'}
	  			}
	  		]
		},
		{
			type:'Ti.UI.Label',
			properties:{color:'white',text:'Trash',width:75,right:75, height:50, backgroundColor:'red', textAlign:Ti.UI.TEXT_ALIGNMENT_CENTER},
			events:{
	  			click:trashHandler
	  		}
		},
		{
			type:'Ti.UI.Label',
			properties:{color:'white',text:'Finish',width:75,right:0, height:50, backgroundColor:'green', textAlign:Ti.UI.TEXT_ALIGNMENT_CENTER},
			events:{
	  			click:doneHandler
	  		}
		}
	]
}

var doneTemplate = {
	properties:{height:50},
	childTemplates: [
  		{
    		type: 'Ti.UI.View',
	  		childTemplates:[
	  			{
	  				type:'Ti.UI.Label',
	  				bindId:'content',
	  				properties:{left:10,touchEnabled:false, color:'green'}
	  			}
	  		]
  		}
  	]
};

var data = [];
for(var i=0;i<20;i++) {
	data.push({properties:{backgroundColor:'white',selectionStyle:Ti.UI.iPhone.ListViewCellSelectionStyle.NONE},content:{text:'THIS IS A TASK INDEX'+(i+1)}})
}
var section = Ti.UI.createListSection({items:data});

var listView = Ti.UI.createListView({
	sections:[section],
	templates:{'t1':baseTemplate,'t2':controlTemplate,'t3':doneTemplate},
	defaultItemTemplate:'t1'
})

function listviewsample() {
	var win = Ti.UI.createWindow({backgroundColor:'white', title:'LISTVIEW', backButtonTitle:'BACK'});
	win.add(listView);

	return win;
}

module.exports = listviewsample;