function swipeListener(e) {
    if(e.row) {
        if(e.row.contentHolder != null) {
            if (e.direction == 'left') {
                e.row.contentHolder.animate({left:-150, duration:250});
                e.row.controlHolder.animate({opacity:1, duration:250});
            } else if (e.direction == 'right'){
                e.row.contentHolder.animate({left:0, duration:250});
                e.row.controlHolder.animate({opacity:0, duration:250});
            }

        } else {
            Ti.API.info('TASK IS DONE');
        }
    } else {
        Ti.API.info('NO ROW INFORMATION')
    }
}

function tapListener(e) {
    if (e.source.taskid != undefined) {
        if (e.source.taskid == 'Done') {
            e.row.contentHolder.animate({left:0, duration:250});
            e.row.controlHolder.animate({opacity:0, duration:250});
            e.row.contentHolder.children[0].color = 'green';
            e.row.contentHolder = null;
            e.row.contentHolder = null;
        } else if (e.source.taskid == 'Cancel') {
            tableView.deleteRow(e.row,{animated:true});
        }
    } else {
        Ti.API.info('NO TASK ID');
    }
}

var rows = [];
//Set up row data
for(var i=0;i<20;i++){


    //The Controls
    var controls = Ti.UI.createView({width:150,right:0, height:50, opacity:0});
    var l1 = Ti.UI.createLabel({color:'white',text:'Trash',width:75,left:0, height:50, backgroundColor:'red', taskid:'Cancel', textAlign:Ti.UI.TEXT_ALIGNMENT_CENTER});
    var l2 = Ti.UI.createLabel({color:'white',text:'Finish',width:75,right:0, height:50, backgroundColor:'green', taskid:'Done', textAlign:Ti.UI.TEXT_ALIGNMENT_CENTER });
    controls.add(l1);
    controls.add(l2);

    //The Content
    var content = Ti.UI.createView({width:'100%',height:50, backgroundColor:'white'});
    var l3 = Ti.UI.createLabel({touchEnabled:false, text:'THIS IS A TASK INDEX'+(i+1), left:10});
    content.add(l3);

    var row = Ti.UI.createTableViewRow({backgroundColor:'white',height:50, selectionStyle:Ti.UI.iPhone.TableViewCellSelectionStyle.NONE, contentHolder:content, controlHolder:controls});
    row.add(controls);
    row.add(content);
    
    row.addEventListener('swipe', swipeListener);
    row.addEventListener('singletap', tapListener);
    rows.push(row);
}

var tableView = Ti.UI.createTableView({
    data:rows
})



function tableviewsample() {
    var win = Ti.UI.createWindow({backgroundColor:'white', title:'TABLEVIEW', backButtonTitle:'BACK'});
    win.add(tableView);

    return win;
}

module.exports = tableviewsample;